com.verisign.epp.codec.balance

## Class EPPBalanceInfoResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.balance.EPPBalanceInfoResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPBalanceInfoResp
      extends EPPResponse

  A concrete EPPResponse that knows how to encode/decode Balance Info response from/to XML and object instance.

  Title: EPP 1.0 Balance

  Description: Balance Mapping for the EPP SDK

  Copyright: Copyright (c) 2011

  Company: VeriSign

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_AVAILABLE_CREDIT` The availableCredit XML tag name
    `static java.lang.String` | `ELM_BALANCE` The balance XML tag name
    `static java.lang.String` | `ELM_CREDIT_LIMIT` The creditLimit XML tag name
    `static java.lang.String` | `ELM_NAME` The poll data XML tag name

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPBalanceInfoResp()` Default constructor
    `EPPBalanceInfoResp(EPPTransId aTransId, java.math.BigDecimal aCreditLimit, java.math.BigDecimal aBalance, java.math.BigDecimal aAvailableCredit, EPPCreditThreshold aCreditThreshold)` `EPPBalanceInfoResp` that takes all of the required attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPLowBalancePollResponse`.
    `void` | `doDecode(org.w3c.dom.Element aElement)` Populates the data of this instance from the given XML Element which is part of a DOM Document
    `org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Put all data contained in this poll response into the given XML document
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPBalanceInfoResp` compare.
    `java.math.BigDecimal` | `getAvailableCredit()` Gets the available credit
    `java.math.BigDecimal` | `getBalance()` Gets the balance
    `java.math.BigDecimal` | `getCreditLimit()` Gets the credit limit
    `EPPCreditThreshold` | `getCreditThreshold()` Gets the credit threshold
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPResponse`.
    `void` | `setAvailableCredit(java.math.BigDecimal aAvailableCredit)` Sets the available credit
    `void` | `setBalance(java.math.BigDecimal aBalance)` Sets the balance
    `void` | `setCreditLimit(java.math.BigDecimal aCreditLimit)` Sets the credit Limit
    `void` | `setCreditThreshold(EPPCreditThreshold aCreditThreshold)` Sets the credit threshold

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, getType, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      The poll data XML tag name
      See Also:
        Constant Field Values

    - #### ELM_CREDIT_LIMIT

          public static final java.lang.String ELM_CREDIT_LIMIT

      The creditLimit XML tag name
      See Also:
        Constant Field Values

    - #### ELM_BALANCE

          public static final java.lang.String ELM_BALANCE

      The balance XML tag name
      See Also:
        Constant Field Values

    - #### ELM_AVAILABLE_CREDIT

          public static final java.lang.String ELM_AVAILABLE_CREDIT

      The availableCredit XML tag name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPBalanceInfoResp

          public EPPBalanceInfoResp()

      Default constructor

    - #### EPPBalanceInfoResp

          public EPPBalanceInfoResp(EPPTransId aTransId,
                                    java.math.BigDecimal aCreditLimit,
                                    java.math.BigDecimal aBalance,
                                    java.math.BigDecimal aAvailableCredit,
                                    EPPCreditThreshold aCreditThreshold)

      `EPPBalanceInfoResp` that takes all of the required attributes.
      Parameters:
        `aTransId` - Transaction identifier information (server and optional client)
        `aCreditLimit` - Credit limit to set
        `aBalance` - Balance to set
        `aAvailableCredit` - Available credit to set
        `aCreditThreshold` - Credit threshold to set

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPResponse`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        XML namespace for the `EPPResponse`.

    - #### doEncode

          public org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                       throws EPPEncodeException

      Put all data contained in this poll response into the given XML document
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - the DOM Document to attach data to.
      Returns:
        the element that is a parent of the poll data
      Throws:
        `EPPEncodeException` - Thrown if any errors occur during the encode process

    - #### doDecode

          public void doDecode(org.w3c.dom.Element aElement)
                        throws EPPDecodeException

      Populates the data of this instance from the given XML Element which is part of a DOM Document
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - the element that is a parent of the poll data
      Throws:
        `EPPDecodeException` - thrown if any errors occur during the decode operation

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPBalanceInfoResp` compare.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - `EPPBalanceInfoResp` instance to compare with
      Returns:
        true if equal false otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPLowBalancePollResponse`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPLowBalancePollResponse`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getCreditLimit

          public java.math.BigDecimal getCreditLimit()

      Gets the credit limit
      Returns:
        credit limit if set; `null` otherwise.

    - #### setCreditLimit

          public void setCreditLimit(java.math.BigDecimal aCreditLimit)

      Sets the credit Limit
      Parameters:
        `aCreditLimit` - Credit limit to set

    - #### getBalance

          public java.math.BigDecimal getBalance()

      Gets the balance
      Returns:
        balance if set; `null` otherwise.

    - #### setBalance

          public void setBalance(java.math.BigDecimal aBalance)

      Sets the balance
      Parameters:
        `aBalance` - Balance to set

    - #### getAvailableCredit

          public java.math.BigDecimal getAvailableCredit()

      Gets the available credit
      Returns:
        available credit if set; `null` otherwise.

    - #### setAvailableCredit

          public void setAvailableCredit(java.math.BigDecimal aAvailableCredit)

      Sets the available credit
      Parameters:
        `aAvailableCredit` - Available credit to set

    - #### getCreditThreshold

          public EPPCreditThreshold getCreditThreshold()

      Gets the credit threshold
      Returns:
        Credit threshold if set; `null` otherwise.

    - #### setCreditThreshold

          public void setCreditThreshold(EPPCreditThreshold aCreditThreshold)

      Sets the credit threshold
      Parameters:
        `aCreditThreshold` - Credit threshold to set